Jump to content

[1.3.1] Ferram Aerospace Research: v0.15.9.1 "Liepmann" 4/2/18


ferram4
 Share

Recommended Posts

Speaking of variation of outline, does the new system take into account the shape of undeployed landing gear? I hope not. In real aircraft landing gear actually fold right into the body of the craft so that there is no break or bump in the outline, but in KSP we don't have that choice, and even undeployed landing gear make a profile change.

You will have to either clip it or balance it so it does not become an issue.

Link to comment
Share on other sites

You need to install Module Manager FAR wont lunch properly without it, the main package that Ferram ships it in comes with it but github is a open source development platform so they kinda expect you to read the prerequisites at least.

Thanks, that was the problem - I was sure I had it installed, but apparently kicked it out with the spring cleaning as 1.0 launched.

Link to comment
Share on other sites

With nuFAR, all my attempts at building transonic aircraft are exploding, being torn apart by aerodynamic forces, or completely losing control authority.

In short, good work! nuFAR is incredible.

Link to comment
Share on other sites

Some things I hadn't thought of before - how does area rule treat long inlets? does a inlet shock cone structure give some sort of seperate localised area rule calculation? how about bodies a long way from the main body like wingtip engine pods which would end up outside the shock cone from the nose at some speed?

Link to comment
Share on other sites

For me yeah. Beside the UI not working, it doesn't seem to be working at all (no drag/lift). voxelAero works (on 0.90) though.

I'm going to guess user error again, do you have module manager 2.6.2 installed, also voxelAeroPort is 1.0 not voxelAero... I suppose this is why Ferram doesn't advertise the dev version.

Further more do not try using FAR with Deadly Reentry in the dev version, I think 0.90 is ok to use with nuFAR and DR dev versions... although I don't know if there is a DR 0.90 with all the new functions, but you can at least use the old DR which is much better than default heating by far.

Edited by etheoma
Link to comment
Share on other sites

I'm going to guess user error again, do you have module manager 2.6.2 installed, also voxelAeroPort is 1.0 not voxelAero... I suppose this is why Ferram doesn't advertise the dev version.

Further more do not try using FAR with Deadly Reentry in the dev version, I think 0.90 is ok to use with nuFAR and DR dev versions... although I don't know if there is a DR 0.90 with all the new functions, but you can at least use the old DR which is much better than default heating by far.

Have you gotten it to work then? I don't have any other mods installed on my KSP test install (MM always there obviously).

Link to comment
Share on other sites

Sorry but pleas just check that module manager is in the game data folder, also you are using the voxelAeroPort for 1.0 not voxelAero which is for 0.90

Also you did just grab the game data folder from the the github zip and just merged it right?

And yes I have it working in 1.0.2, just check that all those things because apart from tweek scales procederual parts and some other mods which change in the VAB I haven't seen one person not being able to run the dev version of FAR, if your having a problem after you have checked everything you possibly can then its time to go to github and post an issue there, along with as much information as you can give.

Edited by etheoma
Link to comment
Share on other sites

etheoma, wouldn't it be more helpful to stop mentioning the dependency everyone knows about (ModuleManager) and start mentioning the dependency that no one knows about (ModularFlightIntegrator)? Surely you know about that one if you've got it working, right?

Link to comment
Share on other sites

etheoma, wouldn't it be more helpful to stop mentioning the dependency everyone knows about (ModuleManager) and start mentioning the dependency that no one knows about (ModularFlightIntegrator)? Surely you know about that one if you've got it working, right?

Must have lucked out and somehow got it inside another mod. In my defence it was the last persons problem who had similar problems.

Link to comment
Share on other sites

etheoma, wouldn't it be more helpful to stop mentioning the dependency everyone knows about (ModuleManager) and start mentioning the dependency that no one knows about (ModularFlightIntegrator)? Surely you know about that one if you've got it working, right?

Thanks. MFI fixes it (even used the latest version from source to make sure), also the null's came from DevHelper, I guess I'll deal with 2 extra clicks. These overlays in the editor are so cool.

Edited by AndreyATGB
Link to comment
Share on other sites

Although to test out weather the problem the last person was having could be caused by removing module manager I did a clean install and then just installed the Dev version of FAR without module manager then with and it was working just fine so I don't know what going on there which is why I was confident there wasn't anything else shrugs, I really don't know how I magically got it working but w.e.

Edited by etheoma
Link to comment
Share on other sites

etheoma, wouldn't it be more helpful to stop mentioning the dependency everyone knows about (ModuleManager) and start mentioning the dependency that no one knows about (ModularFlightIntegrator)? Surely you know about that one if you've got it working, right?

How do I get ModularFlightIntegrator?

Edited by Robotengineer
Link to comment
Share on other sites

I have truly tried to play my new career save with NuStock Aero, but it just won't do. This mod is by far the most essential mod I use, I eagerly await it to be updated. Keep up the good work, KSP wouldn't be what it is withought you!

Link to comment
Share on other sites

This thread is quite old. Please consider starting a new thread rather than reviving this one.

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...